Package org.springframework.web.bind

# Class ServletRequestParameterPropertyValues

java.lang.Object
org.springframework.beans.MutablePropertyValues
org.springframework.web.bind.ServletRequestParameterPropertyValues

All Implemented Interfaces:
  `Serializable`, `Iterable<org.springframework.beans.PropertyValue>`, `org.springframework.beans.PropertyValues`

public class ServletRequestParameterPropertyValues extends org.springframework.beans.MutablePropertyValues
PropertyValues implementation created from parameters in a ServletRequest. Can look for all property values beginning with a certain prefix and prefix separator (default is "_").

For example, with a prefix of "spring", "spring_param1" and "spring_param2" result in a Map with "param1" and "param2" as keys.

This class is not immutable to be able to efficiently remove property values that should be ignored for binding.

Author:
  Rod Johnson, Juergen Hoeller
See Also:
  - `WebUtils.getParametersStartingWith(jakarta.servlet.ServletRequest, java.lang.String)`
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_PREFIX_SEPARATOR`
Default prefix separator.

## Constructor Summary

Constructors
Constructor
Description
`ServletRequestParameterPropertyValues(ServletRequest request)`
Create new ServletRequestPropertyValues using no prefix (and hence, no prefix separator).
`ServletRequestParameterPropertyValues(ServletRequest request, String prefix)`
Create new ServletRequestPropertyValues using the given prefix and the default prefix separator (the underscore character "_").
`ServletRequestParameterPropertyValues(ServletRequest request, String prefix, String prefixSeparator)`
Create new ServletRequestPropertyValues supplying both prefix and prefix separator.

## Method Summary

### Methods inherited from class org.springframework.beans.MutablePropertyValues

`add, addPropertyValue, addPropertyValue, addPropertyValues, addPropertyValues, changesSince, clearProcessedProperty, contains, equals, get, getPropertyValue, getPropertyValueList, getPropertyValues, hashCode, isConverted, isEmpty, iterator, registerProcessedProperty, removePropertyValue, removePropertyValue, setConverted, setPropertyValueAt, size, spliterator, stream, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach`

## Field Details

### DEFAULT_PREFIX_SEPARATOR

public static final String DEFAULT_PREFIX_SEPARATOR
Default prefix separator.

See Also:
  - Constant Field Values

## Constructor Details

### ServletRequestParameterPropertyValues

public ServletRequestParameterPropertyValues(ServletRequest request)
Create new ServletRequestPropertyValues using no prefix (and hence, no prefix separator).

Parameters:
  `request` - the HTTP request

### ServletRequestParameterPropertyValues

public ServletRequestParameterPropertyValues(ServletRequest request, @Nullable String prefix)
Create new ServletRequestPropertyValues using the given prefix and the default prefix separator (the underscore character "_").

Parameters:
  `request` - the HTTP request
  `prefix` - the prefix for parameters (the full prefix will consist of this plus the separator)
See Also:
  - `DEFAULT_PREFIX_SEPARATOR`

### ServletRequestParameterPropertyValues

public ServletRequestParameterPropertyValues(ServletRequest request, @Nullable String prefix, @Nullable String prefixSeparator)
Create new ServletRequestPropertyValues supplying both prefix and prefix separator.

Parameters:
  `request` - the HTTP request
  `prefix` - the prefix for parameters (the full prefix will consist of this plus the separator)
  `prefixSeparator` - separator delimiting prefix (for example, "spring") and the rest of the parameter name ("param1", "param2")